## org.apache.lucene.queryparser.flexible.messages
Class MessageImpl

    java.lang.Object
      org.apache.lucene.queryparser.flexible.messages.MessageImpl

All Implemented Interfaces:
  Message

    public class MessageImpl

extends Object
implements Message

Default implementation of Message interface. For Native Language Support (NLS), system of software internationalization.

Constructor Summary
`MessageImpl(String key)`
`MessageImpl(String key, Object... args)`

Method Summary
`Object[]` `getArguments()`
`String` `getKey()`
`String` `getLocalizedMessage()`
`String` `getLocalizedMessage(Locale locale)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageImpl

    public MessageImpl(String key)

### MessageImpl

    public MessageImpl(String key,
                       Object... args)

Method Detail

### getArguments

    public Object[] getArguments()

  Specified by:
    `getArguments` in interface `Message`

### getKey

    public String getKey()

  Specified by:
    `getKey` in interface `Message`

### getLocalizedMessage

    public String getLocalizedMessage()

  Specified by:
    `getLocalizedMessage` in interface `Message`

### getLocalizedMessage

    public String getLocalizedMessage(Locale locale)

  Specified by:
    `getLocalizedMessage` in interface `Message`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.